English

FAQ: Are there any issues with Python when upgrading to ArcGIS 9.2?

Question

Are there any issues with Python when upgrading to ArcGIS 9.2?

Answer

This document discusses potential issues with Python and ArcGIS 9.2 and addresses problems that may occur with Python scripts, both user created and embedded, not working after upgrading to ArcGIS 9.2. ArcGIS 9.1 shipped with Python 2.1; ArcGIS 9.2 ships with Python 2.4.1. There are four issues with Python and upgrading to ArcGIS 9.2:

· Multiple versions of Python installed with ArcGIS 9.2 may cause problems with Windows file associations, which in turn cause scripts to fail. This occurs if Python 2.1 and PythonWin 2.1 were not uninstalled prior to upgrading to ArcGIS 9.2.

Resolve this problem by uninstalling all versions of Python and PythonWin before upgrading to ArcGIS 9.2. See the link in the Related Information section for more information where both Python versions 2.1 and 2.4.1 are to be installed for use with ArcGIS 9.2.

· ArcGIS 9.2 does not install PythonWin 2.4.1.

To workaround this issue, use the IDLE editor that comes with Python 2.4.1. To use the PythonWin editor, install PythonWin 2.4.1 from the installation CD and ensure that the Windows file associations are correct. See the link in the Related Information section below for more information on installing PythonWin 2.4.1 and making correct file associations to work with ArcGIS 9.2.

· There is a known issue with editing Python scripts that use the Python win32com module in ArcGIS 9.2. See the link in the Related Information section below for more information on Python scripts using the win32com client module only run once from within PythonWin or IDLE at ArcGIS 9.2.

Note:
This issue has been resolved in 9.2 SP2. See the link in the Related Information section below for ArcGIS 9.1 Service Pack 2.


· Upgrading to Python 2.5 or higher is unsupported. See the link in the Related Information below for more information on Python 2.5 or higher support with ArcGIS 9.2.

Related Information